SQ(1)

NAME
sq network wkd generate - Generates a Web Key Directory for the given domain and certs

SYNOPSIS
sq network wkd generate [OPTIONS] WEB-ROOT FQDN CERT-RING

DESCRIPTION
Generates a Web Key Directory for the given domain and certs.

If the WKD exists, the new certificates will be inserted and existing ones will be updated.

A WKD is per domain, and can be queried using the advanced or the direct method. The advanced method uses a URL with a subdomain 'openpgpkey'. As per the specification, the advanced method is to be preferred. The direct method may only be used if the subdomain doesn't exist. The advanced method allows Web Key Directories for several domains on one web server.

The contents of the generated WKD must be copied to a web server so that they are accessible under https://openpgpkey.example.com/.well-known/openpgp/... for the advanced version, and https://example.com/.well-known/openpgp/... for the direct version. sq does not copy files to the web server.

OPTIONS

  Subcommand options

-d, --direct-method
    Uses the direct method [default: advanced method]

-s, --skip
    Skips certificates that do not have User IDs for given domain.

WEB-ROOT
    Writes the WKD to WEB-ROOT. Transfer this directory to the webserver.

FQDN
    Generates a WKD for a fully qualified domain name for email

CERT-RING
    Adds certificates from CERT-RING (or stdin if omitted) to the WKD

  Global options

--cert-store=PATH
    Specifies the location of the certificate store. By default, sq uses the OpenPGP certificate directory at `$HOME/.local/share/pgp.cert.d`, and creates it if it does not exist.

-f, --force
    Overwrites existing files

-h, --help
    Print help (see a summary with '-h')

--keyring=PATH
    Specifies the location of a keyring to use. Keyrings are used in addition to any certificate store. The content of the keyring is not imported into the certificate store. When a certificate is looked up, it is looked up in all keyrings and any certificate store, and the results are merged together.

--known-notation=NOTATION
    Adds NOTATION to the list of known notations. This is used when validating signatures. Signatures that have unknown notations with the critical bit set are considered invalid.

--no-cert-store
    Disables the use of a certificate store. Normally sq uses the user's standard cert-d, which is located in `$HOME/.local/share/pgp.cert.d`.

--output-format=FORMAT
    Produces output in FORMAT, if possible

--output-version=VERSION
    Produces output variant VERSION, such as 0.0.0. The default is the newest version. The output version is separate from the version of the sq program. To see the current supported versions, use output-versions subcommand.

--pep-cert-store=PATH
    Specifies the location of a pEp certificate store. sq does not use a pEp certificate store by default; it must be explicitly enabled using this argument or the corresponding environment variable, PEP_CERT_STORE. The pEp Engine's default certificate store is at `$HOME/.pEp/keys.db`.

--time=TIME
    Sets the reference time as an ISO 8601 formatted timestamp. Normally, commands use the current time as the reference time. This argument allows the user to use a difference reference time. For instance, when creating a key using `sq key generate`, the creation time is normally set to the current time, but can be overridden using this option. Similarly, when verifying a message, the message is verified with respect to the current time. This option allows the user to use a different time.

    TIME is interpreted as an ISO 8601 timestamp. To set the certification time to July 21, 2013 at midnight UTC, you can do:

    $ sq --time 20130721 verify msg.pgp

    To include a time, say 5:50 AM, add a T, the time and optionally the timezone (the default timezone is UTC):

    $ sq --time 20130721T0550+0200 verify msg.pgp

--trust-root=FINGERPRINT|KEYID
    Considers the specified certificate to be a trust root. Trust roots are used by trust models, e.g., the Web of Trust, to authenticate certificates and User IDs.

-v, --verbose
    Be more verbose.

EXAMPLES

Generate a WKD in /tmp/wkdroot from certs.pgp for example.com.

    sq wkd generate /tmp/wkdroot example.com certs.pgp

SEE ALSO
sq(1), sq-network(1), sq-network-wkd(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.33.0 (sequoia-openpgp 1.17.0)